| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Protected Member Functions | List of all members
INTupleItem Class Referenceabstract

NTuple interface class definition. More...

`#include <GaudiKernel/INTuple.h>`

Inheritance diagram for INTupleItem:
[legend]

## Public Member Functions
virtual | ~INTupleItem ()=default
| destructor More...
virtual void | release ()=0
| Destruct object. More...
virtual const std::type_info & | typeID () const =0
| Compiler type ID. More...
virtual std::string | typeName () const =0
| Proper type name of the object. More...
virtual const void * | buffer () const =0
| Access data buffer (CONST) More...
virtual bool | hasIndex () const =0
| Is the tuple have an index item? More...
virtual const std::string & | index () const =0
| Access the index _Item. More...
virtual const std::string & | name () const =0
| Access _Item name. More...
virtual long | type () const =0
| Type information of the item. More...
virtual long | length () const =0
| Access the buffer length. More...
virtual void | reset ()=0
| Reset column. More...
virtual long | ndim () const =0
| Dimension. More...
virtual long | dim (long i) const =0
| Access individual dimensions. More...
virtual long | size () const =0
| Size of entire object. More...
virtual long | filled () const =0
| Number of items filled. More...
virtual INTupleItem * | indexItem ()=0
| Pointer to index column (if present, 0 else) More...
virtual const INTupleItem * | indexItem () const =0
| Pointer to index column (if present, 0 else) (CONST) More...
virtual INTuple * | tuple ()=0
| NTuple the item belongs to. More...

## Protected Member Functions
virtual void | setType (long typ)=0
| Set the properties of the INTupleItem. More...

## Detailed Description

NTuple interface class definition.

Definition of the interface to an Ntuple class beeing a sequence(=Item) of data entries.

Author
  M.Frank

Definition at line 27 of file INTuple.h.

## Constructor & Destructor Documentation

## ◆ ~INTupleItem()

virtual INTupleItem::~INTupleItem | ( |  | ) |
| virtual default

destructor

## Member Function Documentation

## ◆ buffer()

virtual const void* INTupleItem::buffer | ( |  | ) | const
| pure virtual

Access data buffer (CONST)

Implemented in NTuple::_DataImp< TYP >.

## ◆ dim()

virtual long INTupleItem::dim | ( | long | i | ) | const
| pure virtual

Access individual dimensions.

Implemented in NTuple::_MatrixImp< TYP >, NTuple::_ArrayImp< TYP >, and NTuple::_DataImp< TYP >.

## ◆ filled()

virtual long INTupleItem::filled | ( |  | ) | const
| pure virtual

Number of items filled.

Implemented in NTuple::_DataImp< TYP >.

## ◆ hasIndex()

virtual bool INTupleItem::hasIndex | ( |  | ) | const
| pure virtual

Is the tuple have an index item?

Implemented in NTuple::_DataImp< TYP >.

## ◆ index()

virtual const std::string& INTupleItem::index | ( |  | ) | const
| pure virtual

Access the index _Item.

Implemented in NTuple::_DataImp< TYP >.

## ◆ indexItem() [1/2]

virtual INTupleItem* INTupleItem::indexItem | ( |  | ) |
| pure virtual

Pointer to index column (if present, 0 else)

Implemented in NTuple::_DataImp< TYP >.

## ◆ indexItem() [2/2]

virtual const INTupleItem* INTupleItem::indexItem | ( |  | ) | const
| pure virtual

Pointer to index column (if present, 0 else) (CONST)

Implemented in NTuple::_DataImp< TYP >.

## ◆ length()

virtual long INTupleItem::length | ( |  | ) | const
| pure virtual

Access the buffer length.

Implemented in NTuple::_DataImp< TYP >.

## ◆ name()

virtual const std::string& INTupleItem::name | ( |  | ) | const
| pure virtual

Access _Item name.

Implemented in NTuple::_DataImp< TYP >.

## ◆ ndim()

virtual long INTupleItem::ndim | ( |  | ) | const
| pure virtual

Dimension.

Implemented in NTuple::_MatrixImp< TYP >, NTuple::_ArrayImp< TYP >, and NTuple::_DataImp< TYP >.

## ◆ release()

virtual void INTupleItem::release | ( |  | ) |
| pure virtual

Destruct object.

Implemented in NTuple::_DataImp< TYP >.

## ◆ reset()

virtual void INTupleItem::reset | ( |  | ) |
| pure virtual

Reset column.

Implemented in NTuple::_DataImp< TYP >.

## ◆ setType()

virtual void INTupleItem::setType | ( | long | typ | ) |
| protected pure virtual

Set the properties of the INTupleItem.

Implemented in NTuple::_DataImp< TYP >.

## ◆ size()

virtual long INTupleItem::size | ( |  | ) | const
| pure virtual

Size of entire object.

Implemented in NTuple::_MatrixImp< TYP >, NTuple::_ArrayImp< TYP >, NTuple::_ItemImp< TYP >, and NTuple::_DataImp< TYP >.

## ◆ tuple()

virtual INTuple* INTupleItem::tuple | ( |  | ) |
| pure virtual

NTuple the item belongs to.

Implemented in NTuple::_DataImp< TYP >.

## ◆ type()

virtual long INTupleItem::type | ( |  | ) | const
| pure virtual

Type information of the item.

Implemented in NTuple::_DataImp< TYP >.

## ◆ typeID()

virtual const std::type_info& INTupleItem::typeID | ( |  | ) | const
| pure virtual

Compiler type ID.

Implemented in NTuple::_DataImp< TYP >.

## ◆ typeName()

virtual std::string INTupleItem::typeName | ( |  | ) | const
| pure virtual

Proper type name of the object.

Implemented in NTuple::_DataImp< TYP >.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/INTuple.h